Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Retrieves the current network configuration

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/network-configuration' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The current network configuration

Bodyapplication/json
isDefaultboolean
isFakeInstrumentboolean
computerNamestring or null
internalPcDhcpEnabledboolean
internalPcIpAddressstring or null
internalPcSubnetstring or null
internalPcMacAddressstring or null
internalPcNetworkAdapterOperationalboolean
serialNumberstring or null
controllerBoardDhcpEnabledboolean
controllerBoardIpAddressstring or null
controllerBoardSubnetstring or null
controllerBoardMacAddressstring or null
Response
application/json
{ "isDefault": true, "isFakeInstrument": true, "computerName": "string", "internalPcDhcpEnabled": true, "internalPcIpAddress": "string", "internalPcSubnet": "string", "internalPcMacAddress": "string", "internalPcNetworkAdapterOperational": true, "serialNumber": "string", "controllerBoardDhcpEnabled": true, "controllerBoardIpAddress": "string", "controllerBoardSubnet": "string", "controllerBoardMacAddress": "string" }

Updates the current network configuration

Request

Security
Bearer
Query
forcebooleanrequired

Option to force the update

Bodyapplication/json
computerNamestring or null
internalPcDhcpEnabledboolean
internalPcIpAddressstring or null
internalPcSubnetstring or null
internalPcMacAddressstring or null
internalPcNetworkAdapterOperationalboolean
serialNumberstring or null
controllerBoardDhcpEnabledboolean
controllerBoardIpAddressstring or null
controllerBoardSubnetstring or null
controllerBoardMacAddressstring or null
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/network-configuration?force=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "computerName": "string",
    "internalPcDhcpEnabled": true,
    "internalPcIpAddress": "string",
    "internalPcSubnet": "string",
    "internalPcMacAddress": "string",
    "internalPcNetworkAdapterOperational": true,
    "serialNumber": "string",
    "controllerBoardDhcpEnabled": true,
    "controllerBoardIpAddress": "string",
    "controllerBoardSubnet": "string",
    "controllerBoardMacAddress": "string"
  }'

Responses

The update result

Bodyapplication/json
isSuccessboolean
rebootRequiredboolean
errorstring or null
Response
application/json
{ "isSuccess": true, "rebootRequired": true, "error": "string" }

Reset the current network configuration back to default settings

Request

Security
Bearer
Query
forcebooleanrequired

Option to force the update

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/network-configuration/default?force=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The reset result

Bodyapplication/json
isSuccessboolean
rebootRequiredboolean
errorstring or null
Response
application/json
{ "isSuccess": true, "rebootRequired": true, "error": "string" }

Retrieves the changes made to the network configuration

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/network-configuration/changes' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The changes result

Bodyapplication/jsonArray [
dateModifiedstring(date-time)
computerNamestring or null
internalPcDhcpEnabledboolean
internalPcIpAddressstring or null
internalPcSubnetstring or null
internalPcMacAddressstring or null
serialNumberstring or null
controllerBoardDhcpEnabledboolean
controllerBoardIpAddressstring or null
controllerBoardSubnetstring or null
controllerBoardMacAddressstring or null
]
Response
application/json
[ { "dateModified": "2019-08-24T14:15:22Z", "computerName": "string", "internalPcDhcpEnabled": true, "internalPcIpAddress": "string", "internalPcSubnet": "string", "internalPcMacAddress": "string", "serialNumber": "string", "controllerBoardDhcpEnabled": true, "controllerBoardIpAddress": "string", "controllerBoardSubnet": "string", "controllerBoardMacAddress": "string" } ]

Gets whether or not Windows Remote Desktop is enabled

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/network-configuration/remote-desktop-enabled' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Retreiving Windows Remote Desktop state was successful

Response
No content

Enables Windows Remote Desktop

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/network-configuration/enable-remote-desktop' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Windows Remote Desktop was successfully enabled

Response
No content

Disables Windows Remote Desktop

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/network-configuration/disable-remote-desktop' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Windows Remote Desktop was successfully disabled

Bodyapplication/jsonArray [
dateModifiedstring(date-time)
computerNamestring or null
internalPcDhcpEnabledboolean
internalPcIpAddressstring or null
internalPcSubnetstring or null
internalPcMacAddressstring or null
serialNumberstring or null
controllerBoardDhcpEnabledboolean
controllerBoardIpAddressstring or null
controllerBoardSubnetstring or null
controllerBoardMacAddressstring or null
]
Response
application/json
[ { "dateModified": "2019-08-24T14:15:22Z", "computerName": "string", "internalPcDhcpEnabled": true, "internalPcIpAddress": "string", "internalPcSubnet": "string", "internalPcMacAddress": "string", "serialNumber": "string", "controllerBoardDhcpEnabled": true, "controllerBoardIpAddress": "string", "controllerBoardSubnet": "string", "controllerBoardMacAddress": "string" } ]

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations